{
    onStart(pokemon) {
        let activated = false;
        let removedCount = 0;
        for (const sideCondition of ["reflect", "lightscreen", "auroraveil"]) {
            for (const side of [pokemon.side, ...pokemon.side.foeSidesWithConditions()]) {
                if (side.getSideCondition(sideCondition)) {
                    if (!activated) {
                        this.add("-activate", pokemon, "ability: Screen Cleaner");
                        activated = true;
                    }
                    side.removeSideCondition(sideCondition);
                    removedCount++;
                }
            }
        }
        if (removedCount > 0) {
            this.boost({spe: removedCount}, pokemon, pokemon, null, true);
        }
    },
    flags: {},
    name: "Screen Cleaner",
    rating: 2,
    num: 251
}
